MyGUI 3.2.2

Public Types | Public Member Functions
MyGUI::delegates::CMethodDelegate5< T, TP1, TP2, TP3, TP4, TP5 > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::CMethodDelegate5< T, TP1, TP2, TP3, TP4, TP5 >:
[legend]

## Public Types
typedef void(T::* | Method) (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5)

## Public Member Functions
| CMethodDelegate5 (IDelegateUnlink *_unlink, T *_object, Method _method)
virtual bool | isType (const std::type_info &_type)
virtual void | invoke (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5)
virtual bool | compare (IDelegate5< TP1, TP2, TP3, TP4, TP5 > *_delegate) const
virtual bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::delegates::IDelegate5< TP1, TP2, TP3, TP4, TP5 >
virtual | ~ IDelegate5 ()

## Detailed Description

### template<typename T, typename TP1, typename TP2, typename TP3, typename TP4, typename TP5>
class MyGUI::delegates::CMethodDelegate5< T, TP1, TP2, TP3, TP4, TP5 >

Definition at line 76 of file MyGUI_Delegate.h.

## Member Typedef Documentation

## ◆ Method

template<typename T , typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

typedef void(T::* MyGUI::delegates::CMethodDelegate5< T, TP1, TP2, TP3, TP4, TP5 >::Method) (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5)

Definition at line 79 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

## ◆ CMethodDelegate5()

template<typename T , typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

MyGUI::delegates::CMethodDelegate5< T, TP1, TP2, TP3, TP4, TP5 >::CMethodDelegate5 | ( | IDelegateUnlink * | _unlink,
|  | T * | _object,
|  | Method | _method
| ) |  |
| inline

Definition at line 81 of file MyGUI_Delegate.h.

## Member Function Documentation

## ◆ compare() [1/2]

template<typename T , typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

virtual bool MyGUI::delegates::CMethodDelegate5< T, TP1, TP2, TP3, TP4, TP5 >::compare | ( | IDelegate5< TP1, TP2, TP3, TP4, TP5 > * | _delegate | ) | const
| inline virtual

Implements MyGUI::delegates::IDelegate5< TP1, TP2, TP3, TP4, TP5 >.

Definition at line 93 of file MyGUI_Delegate.h.

## ◆ compare() [2/2]

template<typename T , typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

virtual bool MyGUI::delegates::CMethodDelegate5< T, TP1, TP2, TP3, TP4, TP5 >::compare | ( | IDelegateUnlink * | _unlink | ) | const
| inline virtual

Reimplemented from MyGUI::delegates::IDelegate5< TP1, TP2, TP3, TP4, TP5 >.

Definition at line 100 of file MyGUI_Delegate.h.

## ◆ invoke()

template<typename T , typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

virtual void MyGUI::delegates::CMethodDelegate5< T, TP1, TP2, TP3, TP4, TP5 >::invoke | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5
| ) |  |
| inline virtual

Implements MyGUI::delegates::IDelegate5< TP1, TP2, TP3, TP4, TP5 >.

Definition at line 88 of file MyGUI_Delegate.h.

## ◆ isType()

template<typename T , typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

virtual bool MyGUI::delegates::CMethodDelegate5< T, TP1, TP2, TP3, TP4, TP5 >::isType | ( | const std::type_info & | _type | ) |
| inline virtual

Implements MyGUI::delegates::IDelegate5< TP1, TP2, TP3, TP4, TP5 >.

Definition at line 83 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h